:warning: *Use of this software is subject to important terms and conditions as set forth in the License file* :warning:

<p align="center">
<a href="https://github.com/zendesk/answerbot_sdk_ios"><img src="logo/png/AB.png" alt="AnswerBot" width="150" height="150" /></a><br/><br/>
Your Virtual Customer Assistant.<br/>
</p>

# Zendesk Answer Bot SDK for iOS

Answer Bot SDK for mobile is a quick, convenient way to get customer support into your mobile apps. With just a few lines of code, you can provide your end users with answers to their questions instantly. Answer Bot uses machine learning to suggest Help Center articles based on the user's question.

<!-- ## Demo Applications

There are a number of simple demo applicaitons [here](https://github.com/zendesk/ios_sdk_demo_apps). -->

---

## Integration
To use this library in your project you can use CocoaPods, or integrate it manually:

### CocoaPods
You can integrate Answer Bot in your `Podfile` like this:

```
pod 'AnswerBotSDK'
```

### Manual

- Take the Answer Bot `.framework` and `.bundle` files that live in the `AnswerBotSDK/5.1` folder (depending on which version of Swift you are using).
- Drag them into your project, and link them to your applications

For more information see the [docs](##documentation)

---

## Documentation

You can find [documentation](https://developer.zendesk.com/embeddables/docs/answer-bot-sdk-ios/about) for the SDK and [release notes](https://developer.zendesk.com/embeddables/docs/answer-bot-sdk-ios/release_notes) on https://developer.zendesk.com.

## Feature request

All enhancement, improvement, and feature request suggestions are welcomed. Please submit them to our [SDK community](https://support.zendesk.com/hc/en-us/community/topics/200488257-Zendesk-SDKs). We will normally close feature requests posted to this repository.

---

## Copyright and license

Copyright 2018 Zendesk

By downloading or using the Zendesk Mobile SDK, You agree to the Zendesk Master
Subscription Agreement https://www.zendesk.com/company/customers-partners/#master-subscription-agreement and Application Developer and API License
Agreement https://www.zendesk.com/company/customers-partners/#application-developer-api-license-agreement and
acknowledge that such terms govern Your use of and access to the Mobile SDK.

If You make any Contributions (defined below) to the Zendesk Mobile SDK,
You hereby grant Zendesk a royalty-free, worldwide, transferable, sub-licensable,
irrevocable and perpetual license to incorporate into the Service or the Zendesk API
or otherwise use and commercially exploit any Contributions. “Contribution” shall mean
any work of authorship, including any modifications or additions to the Mobile SDK
or derivative works thereof, that is submitted to Zendesk by You.
